@echo off

for %%i in (.) do set problem=%%~ni

set exec=..\run\run -i %problem%.in -o %problem%.out -t 2 -m 512M %problem%.exe


echo Checking solution...

echo %date% %time% > result_%problem%.log


for %%i in (tests\subtask1\??,tests\subtask2\??,tests\subtask3\??) do (
	del %problem%.out
	echo running on test %%i
	copy %%i %problem%.in > nul

	%exec%
    
        check %%i %problem%.out %%i.a
    
if errorlevel 1 (
     	echo %%i failed >> result_%problem%.log	
   	) else (
   	    echo %%i ok >> result_%problem%.log
   	)
)

goto End

:SourceRunningError
  echo Fail in running on tests

:End
